/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package views;

/**
 *
 * @author jaimearroyo
 */
public class Menu extends javax.swing.JFrame {

    /**
     * Creates new form Menu
     */
    public Menu() {
        initComponents();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jLabel1 = new javax.swing.JLabel();
        boton_idiomas = new javax.swing.JButton();
        boton_categorias = new javax.swing.JButton();
        boton_estados = new javax.swing.JButton();
        boton_metodos_de_pago = new javax.swing.JButton();
        boton_editoriales = new javax.swing.JButton();
        boton_autores = new javax.swing.JButton();
        boton_libros = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);

        jLabel1.setFont(new java.awt.Font("Lucida Grande", 0, 18)); // NOI18N
        jLabel1.setText("Sistema de Biblioteca");

        boton_idiomas.setText("Idiomas");
        boton_idiomas.setMaximumSize(new java.awt.Dimension(111, 29));
        boton_idiomas.setMinimumSize(new java.awt.Dimension(111, 29));
        boton_idiomas.setPreferredSize(new java.awt.Dimension(111, 29));
        boton_idiomas.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                boton_idiomasActionPerformed(evt);
            }
        });

        boton_categorias.setText("Catgeorias");
        boton_categorias.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                boton_categoriasActionPerformed(evt);
            }
        });

        boton_estados.setText("Estados");
        boton_estados.setMaximumSize(new java.awt.Dimension(111, 29));
        boton_estados.setMinimumSize(new java.awt.Dimension(111, 29));
        boton_estados.setPreferredSize(new java.awt.Dimension(111, 29));
        boton_estados.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                boton_estadosActionPerformed(evt);
            }
        });

        boton_metodos_de_pago.setText("Metodos de Pago");
        boton_metodos_de_pago.setMaximumSize(new java.awt.Dimension(111, 29));
        boton_metodos_de_pago.setMinimumSize(new java.awt.Dimension(111, 29));
        boton_metodos_de_pago.setPreferredSize(new java.awt.Dimension(111, 29));
        boton_metodos_de_pago.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                boton_metodos_de_pagoActionPerformed(evt);
            }
        });

        boton_editoriales.setText("Editoriales");
        boton_editoriales.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                boton_editorialesActionPerformed(evt);
            }
        });

        boton_autores.setText("Autores");
        boton_autores.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                boton_autoresActionPerformed(evt);
            }
        });

        boton_libros.setText("Libros");
        boton_libros.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                boton_librosActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addContainerGap(110, Short.MAX_VALUE)
                .addComponent(jLabel1)
                .addGap(105, 105, 105))
            .addGroup(layout.createSequentialGroup()
                .addGap(29, 29, 29)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addComponent(boton_estados, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(boton_idiomas, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(boton_categorias, javax.swing.GroupLayout.DEFAULT_SIZE, 127, Short.MAX_VALUE)
                    .addComponent(boton_metodos_de_pago, javax.swing.GroupLayout.DEFAULT_SIZE, 127, Short.MAX_VALUE)
                    .addComponent(boton_editoriales, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                .addGap(68, 68, 68)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addComponent(boton_autores, javax.swing.GroupLayout.DEFAULT_SIZE, 127, Short.MAX_VALUE)
                    .addComponent(boton_libros, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                .addGap(0, 0, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGap(15, 15, 15)
                .addComponent(jLabel1)
                .addGap(16, 16, 16)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addComponent(boton_autores, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(boton_categorias, javax.swing.GroupLayout.DEFAULT_SIZE, 46, Short.MAX_VALUE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(boton_idiomas, javax.swing.GroupLayout.PREFERRED_SIZE, 46, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(boton_libros, javax.swing.GroupLayout.PREFERRED_SIZE, 46, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(boton_estados, javax.swing.GroupLayout.PREFERRED_SIZE, 46, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(boton_metodos_de_pago, javax.swing.GroupLayout.PREFERRED_SIZE, 46, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(boton_editoriales, javax.swing.GroupLayout.PREFERRED_SIZE, 46, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(28, Short.MAX_VALUE))
        );

        pack();
        setLocationRelativeTo(null);
    }// </editor-fold>//GEN-END:initComponents

    private void boton_idiomasActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_boton_idiomasActionPerformed
        // TODO add your handling code here:
        IdiomaIndex new_firt_program =new IdiomaIndex();
        this.setVisible(false);
        new_firt_program.setVisible(true);
    }//GEN-LAST:event_boton_idiomasActionPerformed

    private void boton_categoriasActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_boton_categoriasActionPerformed
        // TODO add your handling code here:
        CategoryIndex new_firt_program =new CategoryIndex();
        this.setVisible(false);
        new_firt_program.setVisible(true);
    }//GEN-LAST:event_boton_categoriasActionPerformed

    private void boton_estadosActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_boton_estadosActionPerformed
        // TODO add your handling code here:
        EstadoIndex new_firt_program =new EstadoIndex();
        this.setVisible(false);
        new_firt_program.setVisible(true);
    }//GEN-LAST:event_boton_estadosActionPerformed

    private void boton_metodos_de_pagoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_boton_metodos_de_pagoActionPerformed
        // TODO add your handling code here:
        MetodoDePagoIndex new_firt_program =new MetodoDePagoIndex();
        this.setVisible(false);
        new_firt_program.setVisible(true);
    }//GEN-LAST:event_boton_metodos_de_pagoActionPerformed

    private void boton_editorialesActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_boton_editorialesActionPerformed
        // TODO add your handling code here:
        EditorialIndex new_firt_program = new EditorialIndex();
        this.setVisible(false);
        new_firt_program.setVisible(true);
    }//GEN-LAST:event_boton_editorialesActionPerformed

    private void boton_autoresActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_boton_autoresActionPerformed
        // TODO add your handling code here:
        AutorIndex new_firt_program = new AutorIndex();
        this.setVisible(false);
        new_firt_program.setVisible(true);
    }//GEN-LAST:event_boton_autoresActionPerformed

    private void boton_librosActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_boton_librosActionPerformed
        // TODO add your handling code here:
        LibroIndex new_firt_program = new LibroIndex();
        this.setVisible(false);
        new_firt_program.setVisible(true);
    }//GEN-LAST:event_boton_librosActionPerformed

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(Menu.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(Menu.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(Menu.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(Menu.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new Menu().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton boton_autores;
    private javax.swing.JButton boton_categorias;
    private javax.swing.JButton boton_editoriales;
    private javax.swing.JButton boton_estados;
    private javax.swing.JButton boton_idiomas;
    private javax.swing.JButton boton_libros;
    private javax.swing.JButton boton_metodos_de_pago;
    private javax.swing.JLabel jLabel1;
    // End of variables declaration//GEN-END:variables
}
